New: pagination on person search, fuzzy matching, and more. See what's changed →
Whitepages Pro API

Property Search

Get ownership and resident data for any property

The Property Search API returns ownership and resident information for a given property. Use it to identify property owners, find current residents, or verify property details.

Make Your First Request

Send a Request

Search for property details by address:

Request
curl 'https://api.whitepages.com/v2/property/?street=STREET_ADDRESS&city=CITY&state_code=STATE_CODE' \
  --header 'X-Api-Key: YOUR_API_KEY'

Replace YOUR_API_KEY with your actual API key, and replace STREET_ADDRESS, CITY, and STATE_CODE with the address of the property you want to look up (URL-encode any spaces).

Review the Response

A successful request returns property details with owner and resident information:

Response
{
  "result": {
    "property_id": "RSAMPLE0001",
    "apn": "197500-0015",
    "property_address": {
      "full_address": "123 Main Street, Seattle, WA 98101",
      "line1": "123 Main Street",
      "city": "Seattle",
      "state": "WA",
      "zip": "98101",
      "house": "123",
      "street": "Main",
      "street_type": "Street",
      "county": "King"
    },
    "mailing_address": {
      "full_address": "PO Box 4242, Bellevue, WA 98009",
      "line1": "PO Box 4242",
      "city": "Bellevue",
      "state": "WA",
      "zip": "98009",
      "house": "4242",
      "street": "PO Box",
      "street_type": null,
      "county": "King"
    },
    "geolocation": {
      "lat": 47.60621,
      "lng": -122.33207
    },
    "ownership_info": {
      "owner_type": "individual",
      "business_owners": [
        { "name": "Acme Holdings LLC" },
        { "name": "Sample Trust" }
      ],
      "person_owners": [
        {
          "id": "PSAMPLE0001",
          "name": "John Smith",
          "current_addresses": [
            {
              "address_id": "ASAMPLE0001",
              "full_address": "123 Main Street, Seattle, WA 98101",
              "line1": "123 Main Street",
              "city": "Seattle",
              "state": "WA",
              "zip": "98101"
            }
          ],
          "phones": [
            { "number": "(206) 555-0142", "type": "Mobile" },
            { "number": "(425) 555-0188", "type": "Landline" }
          ],
          "emails": [
            { "email": "john.smith@example.com" },
            { "email": "j.smith@example.org" }
          ]
        },
        {
          "id": "PSAMPLE0011",
          "name": "Jane Smith",
          "current_addresses": [
            {
              "address_id": "ASAMPLE0001",
              "full_address": "123 Main Street, Seattle, WA 98101",
              "line1": "123 Main Street",
              "city": "Seattle",
              "state": "WA",
              "zip": "98101"
            }
          ],
          "phones": [{ "number": "(206) 555-0143", "type": "Mobile" }],
          "emails": [{ "email": "jane.smith@example.com" }]
        }
      ]
    },
    "residents": [
      {
        "id": "PSAMPLE0001",
        "name": "John Smith",
        "current_addresses": [
          {
            "address_id": "ASAMPLE0001",
            "full_address": "123 Main Street, Seattle, WA 98101",
            "line1": "123 Main Street",
            "city": "Seattle",
            "state": "WA",
            "zip": "98101"
          }
        ],
        "phones": [
          { "number": "(206) 555-0142", "type": "Mobile" },
          { "number": "(425) 555-0188", "type": "Landline" }
        ],
        "emails": [
          { "email": "john.smith@example.com" },
          { "email": "j.smith@example.org" }
        ]
      },
      {
        "id": "PSAMPLE0011",
        "name": "Jane Smith",
        "current_addresses": [
          {
            "address_id": "ASAMPLE0001",
            "full_address": "123 Main Street, Seattle, WA 98101",
            "line1": "123 Main Street",
            "city": "Seattle",
            "state": "WA",
            "zip": "98101"
          }
        ],
        "phones": [{ "number": "(206) 555-0143", "type": "Mobile" }],
        "emails": [{ "email": "jane.smith@example.com" }]
      },
      {
        "id": "PSAMPLE0013",
        "name": "Emily Smith",
        "current_addresses": [
          {
            "address_id": "ASAMPLE0001",
            "full_address": "123 Main Street, Seattle, WA 98101",
            "line1": "123 Main Street",
            "city": "Seattle",
            "state": "WA",
            "zip": "98101"
          }
        ],
        "phones": [{ "number": "(206) 555-0144", "type": "Mobile" }],
        "emails": [{ "email": "emily.smith@example.com" }]
      }
    ]
  }
}

The response includes the verified property with geolocation, property owners, and current residents.

Request Parameters

ParameterRequiredDescriptionExample
streetNo*Street address123 Main Street
cityNo*City nameSeattle
state_codeNo*Two-letter state codeWA
zipcodeNo*ZIP code98101

At least one parameter is required. Include multiple parameters for more precise results.

Example with ZIP code:

https://api.whitepages.com/v2/property/?street=123%20Main%20Street&zipcode=98101

Example by property ID:

https://api.whitepages.com/v2/property/RSAMPLE0001

Property Details by ID

The property details endpoint accepts either a Whitepages property ID (R prefix) or an address ID (A prefix). Address IDs are resolved to the associated property before lookup, so you can pass the address IDs found throughout other API responses directly:

https://api.whitepages.com/v2/property/{property_id_or_address_id}

Not every address ID has full property details, so lookups by address ID may return 404. These responses are not billed — see Billing — so you can optimistically look up property details for any address ID you encounter.

Address Standardization

Property addresses (both physical and mailing) are not processed through CASS certification. Property address data is sourced directly from county assessor and recorder records and is stored as-received without USPS standardization.

For person address standardization details, see Search by Address.

What's Next

You've completed the getting started tutorials. Explore the References section for complete API documentation.

Related

On this page